<?php
/*
 * Clip Name: WP Clips v3 Single Site File Converter
 * Clip URI: https://wpclips.net
 * Description: This Clip adapts files and directories when converting from version 3 multisite to single site.
 * Version: 3.0
 * Author: Krolyn Studios
 *
 * @package WP_Clips/Precoded
 * @subpackage WP_Clips_v3_Single_Site_File_Converter
 */

class WP_Clips_v3_Single_Site_Converter {


	public function __construct() {
	
		if( ! is_admin() ) return;

		$this->wpc_multisite_to_single_file_conversions();
		$this->unclip();
	}

 	// File and directory conversions
	public function wpc_multisite_to_single_file_conversions() {

		if( file_exists( WP_CLIPS_DIR . 'network/clip-core' ) ) {
			rename( WP_CLIPS_DIR . 'network/clip-core', WP_CLIPS_DIR . 'clip-core' );
		}

		if( file_exists( WP_CLIPS_DIR . 'site-1/clip-custom' ) ) {
			rename( WP_CLIPS_DIR . 'site-1/clip-custom', WP_CLIPS_DIR . 'clip-custom' );
		}

		if( file_exists( WP_CLIPS_DIR . 'site-1/precoded' ) ) {
			rename( WP_CLIPS_DIR . 'site-1/precoded', WP_CLIPS_DIR . 'precoded' );
		}

		if( file_exists( WP_CLIPS_DIR . 'site-1/unclipped' ) ) {
			rename( WP_CLIPS_DIR . 'site-1/unclipped', WP_CLIPS_DIR . 'unclipped' );
		}

		// Move network clips to main directories
		foreach( array( 'precoded', 'unclipped' ) as $dirname ) {
			foreach( glob( WP_CLIPS_DIR . 'network/' . $dirname . '/clip-*' ) as $clip )
					rename( $clip, str_replace( '/network/', '/', $clip ) );
		}
	}
	
	// Self unclip file
	function unclip() {

		$self = dirname( __FILE__ );
		rename( $self, str_replace( '/precoded/', '/unclipped/', $self ) );
	}
}

new WP_Clips_v3_Single_Site_Converter();